Commit 6b9cf715 authored by Luigi Toscano's avatar Luigi Toscano
Browse files

Both AvogadroLibs and Eigen3 are optional



The REQUIRED was added during the initial port to Frameworks 5, but
the conditional code enabled by Avogadro and Eigen3 availability is
still in place, and in fact Kalzium still compiles and run without
both (minus some functionalities).

Reviewed-by: Andreas Cord-Landwehr's avatarAndreas Cord-Landwehr <cordlandwehr@kde.org>
parent 6e2bb348
......@@ -9,8 +9,8 @@ find_package(Qt5Svg REQUIRED)
find_package(KF5 REQUIRED COMPONENTS Plotting CoreAddons Solid Config Archive KHtml I18n DocTools Parts UnitConversion WidgetsAddons NewStuff KDELibs4Support)
find_package(Gettext REQUIRED)
find_package(PythonInterp REQUIRED)
find_package(AvogadroLibs REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(AvogadroLibs)
find_package(Eigen3)
find_package(OpenGL REQUIRED)
include(KDEInstallDirs)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment